Summary:	SSL/TLS man-in-the-middle attack tool
Name:		sslsniff
Version:	0.8
Release:	%mkrel 7
License:	GPLv3+
Group:		System/Servers
URL:		http://www.thoughtcrime.org/software/sslsniff/
Source0:	http://www.thoughtcrime.org/software/sslsniff/%{name}-%{version}.tar.gz
Patch0:		sslsniff-0.8-boost-deprecated.patch
Patch2:		sslsniff-0.8-link.patch
Requires:	openssl
BuildRequires:	openssl-devel
BuildRequires:	boost-devel
BuildRequires:	log4cpp-devel >= 1.0

%description
sslsniff is designed to create man-in-the-middle (MITM) attacks for SSL/TLS
connections, and dynamically generates certs for the domains that are being
accessed on the fly. The new certificates are constructed in a certificate
chain that is signed by any certificate that is provided. sslsniff also
supports other attacks like null-prefix or OCSP attacks to achieve silent
interceptions of connections when possible.

%prep
%setup -q
%patch0 -p1
%patch2 -p0

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc AUTHORS COPYING ChangeLog README
%attr(0755,root,root) %{_bindir}/sslsniff


%changelog

* Thu Apr 11 2013 barjac <barjac> 0.8-7.mga3
+ Revision: 409672
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 0.8-6.mga3
+ Revision: 382675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.8-5.mga3
+ Revision: 333107
- rebuild for new boost

* Tue Jul 31 2012 fwang <fwang> 0.8-4.mga3
+ Revision: 276832
- more linkage fix
- only linkage fix is needed now
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.8-3.mga3
+ Revision: 249583
- link against boost_system-mt
- fix linkage
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 0.8-2.mga2
+ Revision: 173663
- rebuild for new boost
- link against mt flavour of boost
- fix build with boost > 1.46

  + dlucio <dlucio>
    - imported package sslsniff

